Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# FilterProperties Class Reference

Stores a configuration for a set of audio DSP filters. More...

Inheritance diagram for FilterProperties:

List of all members.

## Public Member Functions
| FilterProperties ()
| addChorus (float drymix, float wet1, float wet2, float wet3, float delay, float rate, float depth, float feedback)
| Add a chorus filter to the end of the DSP chain.
| addCompress (float threshold, float attack, float release, float gainmakeup)
| Add a compress filter to the end of the DSP chain.
| addDistort (float level)
| Add a distort filter to the end of the DSP chain.
| addEcho (float drymix, float wetmix, float delay, float decayratio)
| Add a echo filter to the end of the DSP chain.
| addFlange (float drymix, float wetmix, float depth, float rate)
| Add a flange filter to the end of the DSP chain.
| addHighpass (float cutoff_freq, float resonance_q)
| Add a highpass filter to the end of the DSP chain.
| addLowpass (float cutoff_freq, float resonance_q)
| Add a lowpass filter to the end of the DSP chain.
| addNormalize (float fadetime, float threshold, float maxamp)
| Add a normalize filter to the end of the DSP chain.
| addParameq (float center_freq, float bandwidth, float gain)
| Add a parameq filter to the end of the DSP chain.
| addPitchshift (float pitch, float fftsize, float overlap)
| Add a pitchshift filter to the end of the DSP chain.
| addReverb (float drymix, float wetmix, float roomsize, float damp, float width)
| Add a reverb filter to the end of the DSP chain.
| clear ()
| Removes all DSP postprocessing.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Stores a configuration for a set of audio DSP filters.

## Constructor & Destructor Documentation

FilterProperties | ( |  | ) |

## Member Function Documentation

addChorus | ( | float | drymix,
|  | float | wet1,
|  | float | wet2,
|  | float | wet3,
|  | float | delay,
|  | float | rate,
|  | float | depth,
|  | float | feedback
| ) |  |

Add a chorus filter to the end of the DSP chain.

addCompress | ( | float | threshold,
|  | float | attack,
|  | float | release,
|  | float | gainmakeup
| ) |  |

Add a compress filter to the end of the DSP chain.

addDistort | ( | float | level | ) |

Add a distort filter to the end of the DSP chain.

addEcho | ( | float | drymix,
|  | float | wetmix,
|  | float | delay,
|  | float | decayratio
| ) |  |

Add a echo filter to the end of the DSP chain.

addFlange | ( | float | drymix,
|  | float | wetmix,
|  | float | depth,
|  | float | rate
| ) |  |

Add a flange filter to the end of the DSP chain.

addHighpass | ( | float | cutoff_freq,
|  | float | resonance_q
| ) |  |

Add a highpass filter to the end of the DSP chain.

addLowpass | ( | float | cutoff_freq,
|  | float | resonance_q
| ) |  |

Add a lowpass filter to the end of the DSP chain.

addNormalize | ( | float | fadetime,
|  | float | threshold,
|  | float | maxamp
| ) |  |

Add a normalize filter to the end of the DSP chain.

addParameq | ( | float | center_freq,
|  | float | bandwidth,
|  | float | gain
| ) |  |

Add a parameq filter to the end of the DSP chain.

addPitchshift | ( | float | pitch,
|  | float | fftsize,
|  | float | overlap
| ) |  |

Add a pitchshift filter to the end of the DSP chain.

addReverb | ( | float | drymix,
|  | float | wetmix,
|  | float | roomsize,
|  | float | damp,
|  | float | width
| ) |  |

Add a reverb filter to the end of the DSP chain.

clear | ( |  | ) |

Removes all DSP postprocessing.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties